# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-compat
Version:        25.1.3.dev4
Release:        1.20250218113035382739.pr465.4.g4078946%{?dist}
Summary:        Ansible-compat library

License:        GPL-3.0-or-later
URL:            https://github.com/ansible/ansible-compat
Source0:        ansible_compat-25.1.3.dev4.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-compat.

%prep
%autosetup -n ansible_compat-25.1.3.dev4


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_compat


%check
%pyproject_check_import
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
  test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc docs/ README.md

%changelog
* Tue Feb 18 2025 Packit <hello@packit.dev> - 25.1.3.dev4-1.20250218113035382739.pr465.4.g4078946
- Bump cryptography from 44.0.0 to 44.0.1 in /.config in the pip group (#466) (dependabot[bot])
- Avoid get_cache_dir errors with read only virtualenvs (Sorin Sbarnea)
- Bump the dependencies group in /.config with 4 updates (#464) (dependabot[bot])

* Tue Feb 18 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Merge branch 'main' into fix/get_cache_dir

* Tue Feb 11 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump cryptography from 44.0.0 to 44.0.1 in /.config in the pip group (#466)

* Thu Jan 30 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Avoid get_cache_dir errors with read only virtualenvs

* Sun Feb 09 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#464)

* Wed Feb 05 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Avoid get_cache_dir errors with read only virtualenvs (#457)

* Wed Feb 05 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Reduce number of cases when we test RPM building (#463)

* Mon Feb 03 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#462)

* Mon Feb 03 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Update docs tools (#461)

* Mon Feb 03 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Simplify module presence testing (#460)

* Mon Feb 03 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Minor test fixes (#459)

* Mon Feb 03 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 8 updates (#458)

* Sat Feb 01 2025 bluikko 14869000+bluikko@users.noreply.github.com 
- Fix grammatical error in collection path info message (#456)

* Tue Jan 28 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Ensure that cache directory is writable (#453)

* Mon Jan 27 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Inject venv site-packages at the top of collection path (test isolation) (#447)

* Sun Jan 26 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 3 updates (#452)

* Thu Jan 23 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Patch #449 to use ANSIBLE_COLLECTIONS_PATH (#450)

* Wed Jan 22 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Fail if old ANSIBLE_COLLECTIONS_PATHS is detected (#449)

* Sun Jan 19 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#448)

* Fri Jan 17 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Ensure we constrain test dependencies with uv (#446)

* Sun Jan 12 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 2 updates (#445)

